Summary: Dungog Contribs localisation module
%define name dungog-locale
Name: %{name}
%define version 1.0
%define release 1
%define package_summary SME Server localisation module
%define group Applications/System
%define package_locales  es
#da de el es fr hu id it nl pt sl sv
Version: %{version}
Release: %{release}
Vendor: dungog.net
Copyright: dungog.net
URL: http://www.dungog.net/sme
Distribution: SME Server
Group: Mitel/addon
Source: %{name}-%{version}.tar.gz
Packager: Stephen Noble <support@dungog.net>
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires: perl
#BuildRequires: e-smith-devtools >= 1.13.1-03
#BuildRequires: dos2unix
AutoReqProv: no

%description
Dungog Contribs localisation module

%changelog
* Sat Mar 15 2008 Stephen Noble <support@dungog.net> 1.0-1
- Repackaging of all L10Ns except en-us in one RPM. en-us L10Ns live
  in the base packages. All languages are stored in the single source
  RPM, but a separate binary RPM is generated per language.

%prep
%setup

%post

%build
LEXICONS=$(find root/etc/e-smith/locale -type f)

for file in $LEXICONS
do
    /sbin/e-smith/validate-lexicon $file
done

%install
set -x 

rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)

/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-%{release}-filelist

for locale in %{package_locales}
do
    echo "%defattr(-,root,root)" > \
	%{name}-%{version}-%{release}-filelist-$locale

    grep locale/$locale %{name}-%{version}-%{release}-filelist >> \
	%{name}-%{version}-%{release}-filelist-$locale
done

%clean 
rm -rf $RPM_BUILD_ROOT

%package es
Summary: %{package_summary} - Spanish
Group: %{group}
%description es
%{summary}
%files es -f %{name}-%{version}-%{release}-filelist-es

